EDIT - feature request #6755

Make DwcA export available for annosys via web services
06/26/2017 10:22 AM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 4.8

Severity: normal

Description

Related issues:

Related to EDIT - bug #6799: Implement progress monitor for DwC A export Closed
Related to EDIT - feature request #6800: Allow all filters for DwCA export in... Closed
Related to EDIT - bug #6801: DwCA Export is not stored at expected place Closed
Related to EDIT - task #2342: Open issues for DwC-A export New
Related to EDIT - bug #6988: dwca export webservice missing in swagger docume... New
Blocked by EDIT - task #6754: Adapt DwcA Export to CDM light export strategy Closed

Associated revisions

Revision 00dfef96 - 06/28/2017 10:07 PM - Andreas Mdller

ref #6755 first preliminary version of DwC-A export web service

Revision cOb09b0b - 06/29/2017 11:46 AM - Andreas Miiller

ref #6755 fix encoding for DWCA web service export

Revision 76e6222f - 06/29/2017 12:02 PM - Andreas Miiller

ref #6755 fix LIE for filename creation for DWCA web service export

Revision 51264420 - 06/30/2017 01:16 AM - Andreas Miiller
ref #6755 ref #6754 improve DwcA zip export

Revision 34b6fcOf - 06/30/2017 03:25 AM - Andreas Miiller
ref #6755 ref #6754 add result to DwCA file result

Revision 72¢5387¢ - 06/30/2017 03:17 PM - Andreas Miller
ref #6754 ref #6755 combine TaxonNodeFilter with DwcA export

Revision ¢28620cf - 06/30/2017 04:08 PM - Andreas Miiller
ref #6754 ref #6755 add includeRootNodes and fix count

Revision 3443c007 - 07/01/2017 11:13 PM - Andreas Miller
ref #6754 ref #6755 improve filtering and progress monitoring for DwCA export

Revision d6b34fd6 - 07/02/2017 12:49 PM - Andreas Miiller
ref #6754 ref #6755 use |Ds for candidate retrieval

Revision 70395320 - 07/02/2017 12:52 PM - Andreas Miiller
ref #6754 ref #6755 implement partitioner for DwcA Export retrieval

Revision 26adb323 - 07/03/2017 11:35 AM - Andreas Miiller
ref #6754 ref #6755 fix bug with duplicate TaxonNode fetch
Revision b04fdc77 - 09/22/2017 05:55 PM - Andreas Miiller
#6755 added withHigherClassification to DwC-A export webservice

Revision 8eaa553b - 09/22/2017 09:23 PM - Andreas Miiller
ref #6755 add header option to DwC-A export webservice

Revision 22b131ad - 09/25/2017 10:23 AM - Andreas Miiller
#2342 ref #6755 try to fix LIE in remote

History

#1 - 06/26/2017 10:23 AM - Andreas Miiller
- Blocked by task #6754: Adapt DwcA Export to CDM light export strategy added

#2 - 07/06/2017 09:58 PM - Andreas Miiller
- Status changed from New to Resolved
- Priority changed from New to Highest

- Target version changed from Release 4.9 to Release 4.8

#3 - 07/11/2017 11:00 PM - Andreas Miiller
- Related to bug #6799: Implement progress monitor for DwC A export added

#4 - 07/11/2017 11:04 PM - Andreas Miiller
- Related to feature request #6800: Allow all filters for DwCA export in TaxEditor added

#5 - 07/11/2017 11:08 PM - Andreas Miiller
- Related to bug #6801: DwCA Export is not stored at expected place added

#6 - 09/22/2017 09:02 PM - Andreas Miiller
- Related to task #2342: Open issues for DwC-A export added

#7 - 09/23/2017 12:14 AM - Andreas Mdiller

- Status changed from Resolved to Closed

#8 - 09/26/2017 03:42 PM - Andreas Kohlbecker

- Related to bug #6988: dwca export webservice missing in swagger documentation added
